Change page style: 

Mask-making Software

The current versions of the GMOS Mask Making software (GMMPS) are v0.402, released in June 2013 for Linux and Mac OS X, and v0.22 for Solaris. Version 0.402 contains some significant interface and algorithm changes to simplify the design process, improve slit placement, and provide support for new GMOS detectors and FLAMINGOS-2. Please use the latest version for your OS for your mask designs.

Caution2013 Aug 28 - Version 0.402 was updated with bug fixes related to creating mask designs from catalogs (w/o GMOS pre-images).

How to get the software

The GMOS Mask Making software is supplied as a gzipped tar file, and is available in compiled form for the following operating systems.

Version 0.402 (download)

Fedore Core 14 32/64 bits
RedHat Enterprise 5 32/64 bits
Ubuntu 10 32/64 bits
Mac OS X 64 bits (OSX 10.6-10.8 with Core 2 Duo or newer CPU)

Version 0.304 (download)

Fedora Core 3,4,6 (and compatible)
Fedore Core 14 32/64 bits
RedHat 9.0 (and compatible)
RedHat Enterprise 5.5 32/64 bits
Ubuntu 10 32/64 bits
Mac OS X (OSX 10.4-10.6, PowerPC or Intel with Rosetta)

Version 0.22 (download)

Sun Solaris
RedHat 9.0

Support for Linux and Mac OS X operating systems is included in the same tar file: gmmps-0.402-REL.tar.gz. For Sun OS, or RedHat 6.x or 7.x, please use version 0.22, available here, gmmps-V-0-22-REL.tar.gz. Depending on your browser, right or shift+click to save the file. The gzipped tar-file is about 18MB. The unpacked software requires 60MB of disk space. Some space can be saved by deleting the bin.PLATFORM and lib.PLATFORM directories which do not support your platform.

To use the Gemini Mask Making software, you will also need Skycat installed. Skycat versions 2.6.6 and later will work with the GMMPS 0.22, but more recent versions (0.302 and higher) require Skycat 3.0 or newer. For Linux we recommend skycat version 3.1.2 and this version is required for 64-bit kernels. For OS X the pre-compiled binaries for gmmps-0.304-REL.tar.gz must be used with skycat 3.0.1 while gmmps-0.402-REL.tar.gz must be used with skycat 3.1.2. GMMPS can be recompiled if other options are needed.

In addition, you will need the latest version of the Gemini IRAF package installed in order to create the input object tables.

How to install the software

The installation instructions are included with the released software in the file INSTALL.TXT. If you are using the software under Sun/Solaris, Linux/Redhat, or Mac OS X the installation involves only unpacking the distribution file and setting your path and environment variables as described in INSTALL.TXT. Starting with version 0.303 an install script simplifies the installation process and the setting of environmental variables. Under other operating systems you will have to compile the source code. This requires that you use GNU make.

Note for Mac OS X 10.5 (Leopard) users:  The location of one of the libraries used by gmmps changed OS X 10.5 and this will produce the error message "Error: dyld: Library not loaded: /usr/local/lib/libstdc++.6.dylib..." when gmmps is run using previous installation instructions. The new installation procedure for v0.303 (and newer) should configure the system properly. For older versions the simplest solution is to add /usr/lib to the DYLD_LIBRARY_PATH environmental variable in the gmmps the startup script, i.e.

DYLD_LIBRARY_PATH=$GMMPS/lib:/Applications/Skycat.app/Contents/Resources/lib:/usr/lib:$DYLD_LIBRARY_PATH 

Note for Mac OS X 10.6 (Snow Leopard) users: In addition to the change above for OS X 10.5, users of GMMPS v0.302 with OS X 10.6 should add a script called 'skycat' in their path with the following two lines:

#!/bin/bash/
/Applications/Skycat.app/Contents/MacOs/skycat $* 

This is not needed with GMMPS v0.303 and higher. 

Note for Mac OS X 10.7+ (Lion and Mountian Lion) users: Skycat 3.0.1 will not run on OS X 10.7+ (due to Apple removing Rosetta) therefore you must install Skycat 3.1.2. Then you can can install gmmps-0.402-REL.tar.gz

Linux Compatibility Table

Note, to use the compatibility chart... you can give the "GMMPS Platform To Use" name to the "setplatform" or "install" scripts, e.g. for Debian 2.6.8 "install Fedora3".

Reported compatibility of Linux distributions with the GMMPS standard platforms:

Linux Distro GMMPS Platform To Use
Debian 2.6.8 Fedora3
openSUSE 10.2 Fedora3
Redhat Enterprise 2.6 RedHat9
Ubuntu 6.06 (Dapper) Fedora4
Ubuntu 9 (Jaunty Jackalope) Redhat5.5
Ubuntu 12
Fedora 14
Fedora 18
Fedora14
Please submit any other platforms that you know to be compatible via the Gemini Help Desk or any other Gemini Contact ...

Acknowledgments

The Gemini Mask Making Software is built on the ESO/VIMOS Mask Preparation Software, after agreement with European Southern Observatory. The software was modified for GMOS use by Jennifer Dunn (NRC, Canada), Dustin Fennell (Univ. of Victoria) and Craig Allen, Bryan Miller, and Mischa Schirmer (Gemini).